variable "persistent_folder" {
  description = "The path to the persistent folder"
  type        = string
}

variable "smtp_host" {
  description = "The SMTP relay host"
  type        = string
}

variable "smtp_port" {
  description = "The SMTP relay port"
  type        = number
}

variable "smtp_username" {
  description = "The SMTP relay username"
  type        = string
  sensitive   = true
}

variable "smtp_password" {
  description = "The SMTP relay password"
  type        = string
  sensitive   = true
}

variable "from_email" {
  description = "The email address to use as the sender"
  type        = string
}

variable "to_email" {
  description = "The email address to send the report to"
  type        = string
}

variable "cron_schedule" {
  description = "Cronjob schedule for data backups"
  type        = string
}

variable "tag" {
  description = "The version of Trivy to install"
  type        = string
  default     = "latest"
}

variable "report_type" {
  description = "The type of report to generate"
  type        = string
  default     = "all"
}

variable "levels" {
  description = "The severity levels to include in the report"
  type        = string
  default     = "HIGH,CRITICAL"
}
